Ipelib

Public Attributes | List of all members
ipe::StyleSheet::TitleStyle Struct Reference

`#include <ipestyle.h>`

## Public Attributes
bool | iDefined
Vector | iPos
Attribute | iSize
Attribute | iColor
THorizontalAlignment | iHorizontalAlignment
TVerticalAlignment | iVerticalAlignment

## Detailed Description

Style of the title on a page.

## Member Data Documentation

## ◆ iDefined

bool ipe::StyleSheet::TitleStyle::iDefined

Has a TitleStyle been defined in the style sheet?

Referenced by ipe::ImlParser::parseStyle().

## ◆ iPos

Vector ipe::StyleSheet::TitleStyle::iPos

Position on the page (in Ipe coordinate system)

Referenced by ipe::Page::applyTitleStyle(), and ipe::ImlParser::parseStyle().

## ◆ iSize

Attribute ipe::StyleSheet::TitleStyle::iSize

Text size.

Referenced by ipe::Page::applyTitleStyle(), and ipe::ImlParser::parseStyle().

## ◆ iColor

Attribute ipe::StyleSheet::TitleStyle::iColor

Text color.

Referenced by ipe::Page::applyTitleStyle(), and ipe::ImlParser::parseStyle().

## ◆ iHorizontalAlignment

THorizontalAlignment ipe::StyleSheet::TitleStyle::iHorizontalAlignment

Horizontal alignment.

Referenced by ipe::Page::applyTitleStyle(), and ipe::ImlParser::parseStyle().

## ◆ iVerticalAlignment

TVerticalAlignment ipe::StyleSheet::TitleStyle::iVerticalAlignment

Vertical alignment.

Referenced by ipe::Page::applyTitleStyle(), and ipe::ImlParser::parseStyle().

The documentation for this struct was generated from the following file:

- ipestyle.h